libzypp 17.37.10

rpmmd.cc File Reference
`#include "rpmmd.h"`
`#include <zypp-core/zyppng/ui/ProgressObserver>`
`#include <zypp-media/ng/ProvideSpec>`
`#include <zypp/ng/Context>`
`#include <zypp/ng/workflows/logichelpers.h>`
`#include <zypp/ng/workflows/contextfacade.h>`
`#include <zypp/ng/repo/workflows/repodownloaderwf.h>`
`#include <zypp/parser/yum/RepomdFileReader.h>`
`#include <zypp/repo/yum/RepomdFileCollector.h>`
`#include <zypp/ng/workflows/checksumwf.h>`

Go to the source code of this file.

## Namespaces
namespace | zyppng
namespace | zyppng::RpmmdWorkflows
| Downloader workspace for YUM (rpm-nmd) repositories Encapsulates all the knowledge of which files have to be downloaded to the local disk.

## Macros
#define | ZYPP_BASE_LOGGER_LOGGROUP "zypp::repomanager"

## Functions
AsyncOpRef< expected< zypp::RepoStatus > > | zyppng::RpmmdWorkflows::repoStatus (repo::AsyncDownloadContextRef dl, ProvideMediaHandle mediaHandle)
expected< zypp::RepoStatus > | zyppng::RpmmdWorkflows::repoStatus (repo::SyncDownloadContextRef dl, SyncMediaHandle mediaHandle)
AsyncOpRef< expected< repo::AsyncDownloadContextRef > > | zyppng::RpmmdWorkflows::download (repo::AsyncDownloadContextRef dl, ProvideMediaHandle mediaHandle, ProgressObserverRef progressObserver)
expected< repo::SyncDownloadContextRef > | zyppng::RpmmdWorkflows::download (repo::SyncDownloadContextRef dl, SyncMediaHandle mediaHandle, ProgressObserverRef progressObserver)

## Macro Definition Documentation

## ◆ ZYPP_BASE_LOGGER_LOGGROUP

#define ZYPP_BASE_LOGGER_LOGGROUP "zypp::repomanager"

Definition at line 22 of file rpmmd.cc.